Package org.apache.sysds.runtime.iogen

# Class GenerateReader.GenerateReaderMatrix

java.lang.Object
org.apache.sysds.runtime.iogen.GenerateReader
org.apache.sysds.runtime.iogen.GenerateReader.GenerateReaderMatrix

Enclosing class:
  GenerateReader

public static class GenerateReader.GenerateReaderMatrix extends GenerateReader

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.iogen.GenerateReader

`GenerateReader.GenerateReaderFrame, GenerateReader.GenerateReaderMatrix`

## Constructor Summary

Constructors
Constructor
Description
`GenerateReaderMatrix(String sampleRaw, MatrixBlock sampleMatrix, boolean parallel)`
`GenerateReaderMatrix(SampleProperties sampleProperties)`

## Method Summary

Modifier and Type
Method
Description
`MatrixReader`
`getReader()`

### Methods inherited from class org.apache.sysds.runtime.iogen.GenerateReader

`getProperties, getRandomClassName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateReaderMatrix

public GenerateReaderMatrix(SampleProperties sampleProperties) throws Exception

Throws:
  `Exception`

### GenerateReaderMatrix

public GenerateReaderMatrix(String sampleRaw, MatrixBlock sampleMatrix, boolean parallel) throws Exception

Throws:
  `Exception`

## Method Details

### getReader

public MatrixReader getReader() throws Exception

Throws:
  `Exception`